package com.cxytiandi.api.common;

public class ResponseData {
	/**
	 * 请求成功
	 */
	private Boolean status = true;
	
	/**
	 * 业务的编码
	 */
	private int code = 200;
	
	/**
	 * 消息提示
	 */
	private String message;
	
	/**
	 * 返回的数据
	 */
	private Object data;
	
	public static ResponseData ok(Object data) {
		return new ResponseData(data);
	}
	
	public static ResponseData ok(Object data, String message) {
		return new ResponseData(data, message);
	}
	
	public static ResponseData fail() {
		return new ResponseData(false, 500);
	}
	
	public static ResponseData fail(String message) {
		return new ResponseData(false, message, 500);
	}
	
	public static ResponseData fail(String message, int code) {
		return new ResponseData(false, message, code);
	}
	
	public ResponseData() {
		super();
	}
	
	public ResponseData(Object data) {
		this.data = data;
	}
	
	public ResponseData(Boolean status, String message, int code) {
		this.status = status;
		this.message = message;
		this.code = code;
	}
	
	public ResponseData(Boolean status, int code) {
		this.status = status;
		this.code = code;
	}
	
	public ResponseData(Object data, String message) {
		this.data = data;
		this.message = message;
	}

	public ResponseData(Boolean status, int code, String message, Object data) {
		super();
		this.status = status;
		this.code = code;
		this.message = message;
		this.data = data;
	}

	public Boolean getStatus() {
		return status;
	}

	public void setStatus(Boolean status) {
		this.status = status;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public Object getData() {
		return data;
	}

	public void setData(Object data) {
		this.data = data;
	}
	
}
