package com.cxytiandi.api.exception;

import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.NoHandlerFoundException;

import com.cxytiandi.api.common.ResponseData;

@ControllerAdvice
public class GlabalExceptionHandler {
	
	@ExceptionHandler(value=GlabalException.class)
	@ResponseBody
	public ResponseData jsonErrorHandler(GlabalException e) {
		ResponseData data = new ResponseData();
		data.setMessage(e.getMessage());
		data.setCode(e.getCode());
		data.setData(null);
		data.setStatus(false);
		return data;
	}
	
	@ExceptionHandler(value=Exception.class)
	@ResponseBody
	public ResponseData systemJsonErrorHandler(Exception e) {
		e.printStackTrace();
		ResponseData data = new ResponseData();
		data.setMessage(e.getMessage());
		if (e instanceof NoHandlerFoundException) {
			data.setCode(ResponseCode.NOT_FOUND.getCode());
		} else {
			data.setCode(ResponseCode.SERVER_ERROR.getCode());
		}
		data.setData(null);
		data.setStatus(false);
		return data;
	}
	
}
