package com.cxytiandi.api;

import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

import org.springframework.http.ResponseEntity;
import org.springframework.http.client.SimpleClientHttpRequestFactory;
import org.springframework.http.converter.FormHttpMessageConverter;
import org.springframework.http.converter.HttpMessageConverter;
import org.springframework.http.converter.StringHttpMessageConverter;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;
import org.springframework.web.client.DefaultResponseErrorHandler;
import org.springframework.web.client.RestTemplate;

import com.cxytiandi.api.common.ResponseData;
import com.cxytiandi.api.util.JsonUtils;
import com.cxytiandi.api.util.RestTemplateUtil;


public class Test {
	private static RestTemplate restTemplate;
	private static ExecutorService fixedThreadPool = Executors.newFixedThreadPool(40);
	
	static {
        SimpleClientHttpRequestFactory requestFactory = new SimpleClientHttpRequestFactory();
        requestFactory.setReadTimeout(10000);
        requestFactory.setConnectTimeout(10000);

        // 添加转换器
        List<HttpMessageConverter<?>> messageConverters = new ArrayList<HttpMessageConverter<?>>();
        messageConverters.add(new StringHttpMessageConverter(Charset.forName("UTF-8")));
        messageConverters.add(new FormHttpMessageConverter());
        messageConverters.add(new MappingJackson2HttpMessageConverter());

        restTemplate = new RestTemplate(messageConverters);
        restTemplate.setRequestFactory(requestFactory);
        restTemplate.setErrorHandler(new DefaultResponseErrorHandler());
    }
	
	public static void main(String[] args) throws InterruptedException {
		/*long s = System.currentTimeMillis();
		CountDownLatch countDownLatch = new CountDownLatch(100);
		for (int i = 0; i < 100; i++) {
			fixedThreadPool.execute(new Runnable() {
				@Override
				public void run() {
					try {
						ResponseEntity<ResponseData> res = restTemplate.getForEntity("http://localhost:8888/rest/hello/hh/yikjihuan", ResponseData.class);
						System.out.println(JsonUtils.toJson(res.getBody()));
					} catch (Exception e) {
						
					} finally {
						countDownLatch.countDown();
					}
				}
			});
		}
		countDownLatch.await();
		long e = System.currentTimeMillis();
		System.out.println(e - s);*/
		for (int i = 0; i < 100; i++) {
			ResponseData responseData = new RestTemplateUtil().get("http://localhost:8888/rest/hello/dad", null);
			System.out.println(JsonUtils.toJson(responseData));
			Thread.sleep(4000);
		}
	}

}
